/*	Vytvoreni testovaci tabulky s daty

ij> connect 'jdbc:derby://localhost:1527/databaze04;create=true;user=Uzivatel4;password=Heslo4';
ij> run 'D:\Dokumenty\Java\ProjektDERBY06\datab Emploee.sql';
ij> SELECT * FROM employee ORDER BY id;
ij> disconnect;
ij> exit;
*/
package inmemory;
import java.sql.*;
public class ProjektINMEMORY {
	private static Connection connect = null;
	private static Statement statement = null;
	private static ResultSet odpoved = null;
	static {
		try {
			Class.forName("org.apache.derby.jdbc.ClientDriver").newInstance();
		} catch (InstantiationException | IllegalAccessException | ClassNotFoundException e) {
			System.out.println("Problem s nactenim driveru - nutne pridat do CLASSPATH");
		}
	}
	private static void pripojeniDatabazeINMEMORY() {
		try {
			connect = DriverManager.getConnection("jdbc:derby://localhost:1527/memory:databaze04;user=Uzivatel4;password=Heslo4;"
					+ "restoreFrom=c:\\Program Files\\JavaJDK\\db\\bin\\databaze04\\");
			System.out.println("Podarilo se pripojit k databazi04");
		} catch (Exception e) {
			System.err.println("Nepodarilo se pripojit k databazi04");
			if (connect == null) {
				System.exit(1);
			}
		}
	}
	private static void vypisemeData() {
		try {
			statement = connect.createStatement();
			odpoved = statement.executeQuery("SELECT * FROM Employee ORDER BY id");
			System.out.print("Podarilo se ziskat data :");
			while (odpoved.next()) { 
				System.out.print("\nJmeno :" + odpoved.getString(2));
				System.out.print("\tPrijmeni :" + odpoved.getString(3));
				System.out.print("\tMail:" + odpoved.getString(4));
			}
		} catch (SQLException e) {
			System.out.println("Nepovedlo se ziskat data :");
			e.printStackTrace();
		}

	}

	private static void odpojimeDatabazi() {
		//	vymazeme s pameti
		try {
			connect = DriverManager.getConnection("jdbc:derby://localhost:1527/memory:databaze04;drop=true");
			System.err.println("\nNepodarilo se vymazat  databazi04 z pameti");
		} catch (Exception e) {
			System.out.println("\nPodarilo  se vymazat  databazi04 z pameti");
		}
		// zrusime objekty
		try {
			if (statement != null) {
				statement.close();
			}
			if (connect != null) {
				connect.close();
			}
			System.out.println("\nPodarilo se odpojit od databaze");
		} catch (SQLException e) {
			e.printStackTrace();
		}
	}
	public static void main(String[] args) throws InterruptedException {
		System.out.println("Start Programu");
		pripojeniDatabazeINMEMORY();
		Thread.sleep(2000);
		vypisemeData();
		Thread.sleep(2000);
		odpojimeDatabazi();		
		System.out.println("Konec Programu");
	}
}
